Bug 13728 - python-gpgme unsupported and replaced by python-gpg
python-gpgme unsupported and replaced by python-gpg
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.9.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-20 23:36 UTC by Andrew Bartlett
Modified: 2019-02-22 08:25 UTC (History)
6 users (show)

See Also:


Attachments
Patches for v4-9-test (5.29 KB, patch)
2019-01-24 11:36 UTC, Stefan Metzmacher
metze: review? (abartlet)
bbaumbach: review+
Details
Patches for v4-8-test (5.22 KB, patch)
2019-01-24 11:37 UTC, Stefan Metzmacher
metze: review? (abartlet)
bbaumbach: review+
Details
Backport for 4.7 (not for v4-7-test) (5.22 KB, patch)
2019-01-30 10:43 UTC, Stefan Metzmacher
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2018-12-20 23:36:23 UTC
python-gpg is the supported replacement to python-gpgme, which has been removed from major distributions.
Comment 1 Stefan Metzmacher 2018-12-21 12:40:33 UTC
Here's a merge request fix a possible fix from Joe Guo <joeg@catalyst.net.nz>
https://gitlab.com/samba-team/samba/merge_requests/184

Björn Baumbach can you please review and test this?
Comment 2 Stefan Metzmacher 2019-01-24 11:36:57 UTC
Created attachment 14795 [details]
Patches for v4-9-test
Comment 3 Stefan Metzmacher 2019-01-24 11:37:35 UTC
Created attachment 14796 [details]
Patches for v4-8-test
Comment 4 Stefan Metzmacher 2019-01-24 11:38:14 UTC
4.10 and master have the fix already...
Comment 5 Stefan Metzmacher 2019-01-30 10:43:47 UTC
Created attachment 14809 [details]
Backport for 4.7 (not for v4-7-test)
Comment 6 Björn Baumbach 2019-01-30 17:01:32 UTC
Comment on attachment 14795 [details]
Patches for v4-9-test

Works fine with python-gpg and python-gpgme.
Comment 7 Björn Baumbach 2019-01-30 17:01:40 UTC
Comment on attachment 14796 [details]
Patches for v4-8-test

Works fine with python-gpg and python-gpgme.
Comment 8 Karolin Seeger 2019-02-21 11:13:46 UTC
Pushed to autobuild-v4-{9,8}-test.
Comment 9 Karolin Seeger 2019-02-22 08:25:35 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to both branches.
Closing out bug report.

Thanks!